#include <PA9.h>       // Include for PA_Lib

#include "valoracion.h"
#include "consultar.h"
#include "wifi.h"
#include "all_gfx.h"

int menu=0; //este valor se encarga de la navegacin por la aplicacin



  //////////////////////////////
 //  Inicio de la aplicacin //
//////////////////////////////

void inicio()
{
    PA_LoadDefaultText(0, 0);
    PA_LoadDefaultText(1, 0);

    PA_LoadBackground(1,3,&tituloE);
    PA_LoadBackground(0,3,&tituloIn);

    PA_SetTextTileCol(0,1);
    PA_OutputSimpleText(0, 8, 11, "TOCA LA PANTALLA");
    PA_SetTextTileCol(0,9);
    PA_OutputSimpleText(0, 13, 23, "Nuria Martinez 2011");

    while(menu==0)
    {
        if(Stylus.Held || Pad.Newpress.A || Pad.Newpress.Start)
        {
            menu=1;

        }
        PA_WaitForVBL();

    }
    PA_ClearTextBg(0);

}

  ////////////////////////////////
 //  Opcin del men principal //
////////////////////////////////

void menuPrincipal()
{

    PA_LoadBackground(1,3,&parteA);
    PA_LoadBackground(0,3,&parteMenu);

    PA_LoadSpritePal(0, 0, (void*)evaluar_Pal); //carga las paletas de cada sprite
    PA_LoadSpritePal(0, 1, (void*)consulta_Pal);
    PA_LoadSpritePal(0, 2, (void*)wifi_Pal);
    PA_LoadSpritePal(0, 3, (void*)atras_Pal);
    PA_LoadSpritePal(0, 11, (void*)luz_Pal);

    PA_CreateSprite(0, 0,(void*)evaluar_Sprite, OBJ_SIZE_64X32,1, 0, 15, 15); //crea el sprite
    PA_CreateSprite(0, 1,(void*)consulta_Sprite, OBJ_SIZE_64X32,1, 1, 15, 70);
    PA_CreateSprite(0, 2,(void*)wifi_Sprite, OBJ_SIZE_64X32,1, 2, 15,125);
    PA_CreateSprite(0, 3,(void*)atras_Sprite, OBJ_SIZE_32X32,1, 3, 1, 163);
    PA_CreateSprite(0, 11,(void*)luz_Sprite, OBJ_SIZE_32X32,1, 11, 215, 157);
    PA_InitAllSpriteDraw();

    int brillo=1; //brillo de la pantalla

    while(menu==1)
    {
        if(PA_SpriteTouchedPix(11) || Pad.Newpress.A)
        {
            if(brillo==1) brillo=0;
            else brillo=1;
            PA_SetScreenLight (1, brillo);
            PA_SetScreenLight (0, brillo);

        }

        if(PA_SpriteTouchedPix(0)) //opcin Valorar
        {
            menu=2;
        }
        if(PA_SpriteTouchedPix(1)) //opcin Consultar
        {
            menu=3;
        }
        if(PA_SpriteTouchedPix(2)) //opcin Wi-Fi
        {
            menu=4;
        }
        if(PA_SpriteTouchedPix(3) || Pad.Newpress.B) //Volvemos atrs
        {
            menu=0;
            PA_WaitForVBL();
        }
        PA_WaitForVBL();
        PA_WaitForVBL();
        PA_WaitForVBL();
    }

    PA_ResetBgSysScreen(0);
    PA_ResetSpriteSys();
}

  /////////////////
 //     MAIN    //
/////////////////

int main()
{
    PA_Init();    // Initializes PA_Lib
	PA_InitVBL();

	int opcion=0; //numero del titulo seleccionado

	while(1)
	{

	    switch(menu)
	    {
	        case 0: //Inicio
                    inicio();
                    PA_ResetBgSysScreen(0);
                    PA_ResetBgSysScreen(1);
                    PA_WaitForVBL();
                    break;
            case 1: //Menu principal
                    menuPrincipal();
                    break;
            case 2: //Valorar
                    PA_LoadBackground(0,3,&parteB);
                    menu=menuValoracion(menu,&opcion);
                    break;
            case 3: //Consultar y posibilidad de enviar va web
                    PA_LoadBackground(0,3,&parteB);
                    menu=menuConsultar(&opcion);
                    break;
            case 4: //Wi-Fi
                    PA_LoadBackground(0,3,&parteB);
                    menu=menuWifi(menu);
                    break;
            case 5: //evaluacion en Valorar
                    menu=evaluacion(opcion);
                    break;
            case 6: //observacion en Valorar
                    menu=modoEscritura();
                    break;
            case 7: //Crea un fichero en Valorar y posibilidad de enviar va web
                    menu=escribirFichero(opcion);
                    break;

        }

	    PA_WaitForVBL();

	}

	while (1)
	{
		PA_WaitForVBL();   // Infinite loop to keep the program running
	}

	return 0;

}
